#ifndef PAMVMC_DET_ND_H
#define PAMVMC_DET_ND_H

#include "PamVMCDetector.h"

#include "PamVMCNDSD.h"

class PamVMCNDSD;

class PamVMCDetND  : public PamVMCDetector {

 public:


   PamVMCDetND():PamVMCDetector("ND") 
  {;  };
 
  void DefineGeometry();

  void DefineCuts();

  virtual void InitMC(){

    TString t = "NDTI";
    PamVMCNDSD *nd = new PamVMCNDSD();
    fdetSD.Add(new TObjString(t), nd);
    PamVMCSDMgr::Instance()->SetSD("NDTI",nd);
  }

  ClassDef(PamVMCDetND,1)
};


#endif //PAMVMC_DET_ND_H
